/**
 * =====================================================================================\n
 *        Class:  connection \n
 *  Description:  contains connections between reactions and involved reagents \n
 * =====================================================================================
 */
class connection
{
  public:
  vector<reagent>   vect_reagents;     ///<vector of reagents
  vector<reaction>  vect_reactions;    ///<vector of reactions

  connection ();  /* constructor */

  void add_reagent(vector<string>& name);
  void add_reaction(double react_rate_const);
};  /* -----  end of class  connection  ----- */
//{
/**
 * @brief constructor
 *
 **/
//}
connection::connection ()
{
}  /* -----  end of method connection::connection  (constructor)  ----- */
//{
/**
 * @brief add reagent to the vector of reagents
 *
 * @param name  --- reagent name
 * @param diff_const  --- diffusion constant 
 *
 **/
//}
void connection::add_reagent(vector<string>& name)
  {
    if(name.size()>2)
    vect_reagents.push_back(reagent(name[0],atof(name[2].c_str()),atof(name[3].c_str())));
    else
    vect_reagents.push_back(reagent(name[0]));
  }
//{
/**
 * @brief add reaction to the vector of reactions
 *
 * @param react_rate_const  --- reaction rate constant
 *
 **/
//}
void connection::add_reaction(double react_rate_const)
  {
    vect_reactions.push_back(reaction(react_rate_const));
  }
